Ulsav Docs

Publishing

GET
/api/v1/event-categories

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
Example Request
curl -X GET 'https://example.com/api/v1/event-categories'
Example Response
{  "$schema": "https://example.com/schemas/ListEventCategoriesOutputBody.json",  "data": [    {      "name": "string",      "slug": "string",      "sortOrder": 0    }  ]}
GET
/api/v1/event-group-portal-catalog

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
blockKinds*array<>|null
navKinds*array<>|null
Example Request
curl -X GET 'https://example.com/api/v1/event-group-portal-catalog'
Example Response
{  "$schema": "https://example.com/schemas/PortalCatalog.json",  "blockKinds": [    {      "key": "string",      "name": "string"    }  ],  "navKinds": [    {      "key": "string",      "name": "string"    }  ]}
GET
/api/v1/event-group-series/{slug}

Path Parameters

slug*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
eventGroups*array<>|null
groupCount?integer
Formatint64
id*string
name*string
organizationId*string
posterPath?string
posterUrl?string
publicationState*string
publishedAt?string
Formatdate-time
slug*string
summary?string
updatedAt*string
Formatdate-time
visibility*string
Example Request
curl -X GET 'https://example.com/api/v1/event-group-series/string'
Example Response
{  "$schema": "https://example.com/schemas/PublicEventGroupSeries.json",  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "eventGroups": [    {      "$schema": "https://example.com/schemas/EventGroup.json",      "contentPages": [        {          "blocks": [            {              "alt": "string",              "caption": "string",              "href": "string",              "items": [                {                  "answer": "string",                  "question": "string"                }              ],              "kind": "string",              "label": "string",              "mediaPath": "string",              "mediaUrl": "string",              "text": "string"            }          ],          "slug": "string",          "summary": "string",          "title": "string"        }      ],      "coverPath": "string",      "coverUrl": "string",      "createdAt": "2019-08-24T14:15:22Z",      "description": "string",      "eventCount": 0,      "eventGroupSeriesId": "string",      "id": "string",      "name": "string",      "navigation": [        {          "contentSlug": "string",          "href": "string",          "kind": "string",          "label": "string"        }      ],      "organizationId": "string",      "posterPath": "string",      "posterUrl": "string",      "publicationState": "string",      "publishedAt": "2019-08-24T14:15:22Z",      "slug": "string",      "subdomain": "string",      "summary": "string",      "theme": {        "accent": "string",        "backgroundPattern": "string",        "bodyFont": "string",        "bodyWeight": "string",        "emojis": [          "string"        ],        "headingFont": "string",        "headingWeight": "string",        "icons": [          "string"        ],        "motion": "string",        "overlay": "string",        "version": 0      },      "topics": [        {          "name": "string",          "slug": "string"        }      ],      "updatedAt": "2019-08-24T14:15:22Z",      "visibility": "string"    }  ],  "groupCount": 0,  "id": "string",  "name": "string",  "organizationId": "string",  "posterPath": "string",  "posterUrl": "string",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "slug": "string",  "summary": "string",  "updatedAt": "2019-08-24T14:15:22Z",  "visibility": "string"}
GET
/api/v1/event-group-subdomains/{subdomain}

Path Parameters

subdomain*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
contentPages*array<>|null
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
eventCount?integer
Formatint64
eventGroupSeriesId?string
events*array<>|null
id*string
name*string
navigation*array<>|null
organizationId*string
posterPath?string
posterUrl?string
publicationState*string
publishedAt?string
Formatdate-time
slug*string
subdomain?string
summary?string
theme*
topics*array<>|null
updatedAt*string
Formatdate-time
visibility*string
Example Request
curl -X GET 'https://example.com/api/v1/event-group-subdomains/string'
Example Response
{  "$schema": "https://example.com/schemas/PublicEventGroup.json",  "contentPages": [    {      "blocks": [        {          "alt": "string",          "caption": "string",          "href": "string",          "items": [            {              "answer": "string",              "question": "string"            }          ],          "kind": "string",          "label": "string",          "mediaPath": "string",          "mediaUrl": "string",          "text": "string"        }      ],      "slug": "string",      "summary": "string",      "title": "string"    }  ],  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "eventCount": 0,  "eventGroupSeriesId": "string",  "events": [    {      "$schema": "https://example.com/schemas/Event.json",      "archivedAt": "2019-08-24T14:15:22Z",      "cancelReason": "string",      "cancelledAt": "2019-08-24T14:15:22Z",      "capacity": 0,      "category": "string",      "completedAt": "2019-08-24T14:15:22Z",      "contacts": [        {          "email": "string",          "name": "string",          "phone": "string"        }      ],      "coverPath": "string",      "coverUrl": "string",      "createdAt": "2019-08-24T14:15:22Z",      "description": "string",      "endAt": "2019-08-24T14:15:22Z",      "eventGroupId": "string",      "eventSeriesId": "string",      "eventSeriesPosition": 0,      "faqs": [        {          "answer": "string",          "question": "string"        }      ],      "fulfillmentMode": "string",      "id": "string",      "latitude": 0.1,      "locationCityId": "string",      "locationLocalityId": "string",      "locationPrecision": "string",      "longitude": 0.1,      "moderationState": "string",      "name": "string",      "onlineUrl": "string",      "organizationId": "string",      "participationMode": "string",      "posterPath": "string",      "posterUrl": "string",      "postponedAt": "2019-08-24T14:15:22Z",      "publicationState": "string",      "publishedAt": "2019-08-24T14:15:22Z",      "registrationPolicy": "string",      "salesPaused": true,      "salesState": "string",      "scheduleState": "string",      "showExactVenue": true,      "slug": "string",      "sponsors": [        {          "logoPath": "string",          "logoUrl": "string",          "name": "string",          "tier": "string",          "website": "string",          "writeup": "string"        }      ],      "startAt": "2019-08-24T14:15:22Z",      "style": {        "accent": "string",        "backgroundPattern": "string",        "bodyFont": "string",        "bodyWeight": "string",        "emojis": [          "string"        ],        "headingFont": "string",        "headingWeight": "string",        "icons": [          "string"        ],        "motion": "string",        "overlay": "string",        "version": 0      },      "summary": "string",      "teamMaxSize": 0,      "teamMinSize": 0,      "teamMode": "string",      "timezone": "string",      "topics": [        {          "name": "string",          "slug": "string"        }      ],      "updatedAt": "2019-08-24T14:15:22Z",      "venueAddress": "string",      "venueCity": "string",      "venueCountry": "string",      "venueId": "string",      "venueName": "string",      "venueState": "string",      "visibility": "string"    }  ],  "id": "string",  "name": "string",  "navigation": [    {      "contentSlug": "string",      "href": "string",      "kind": "string",      "label": "string"    }  ],  "organizationId": "string",  "posterPath": "string",  "posterUrl": "string",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "slug": "string",  "subdomain": "string",  "summary": "string",  "theme": {    "accent": "string",    "backgroundPattern": "string",    "bodyFont": "string",    "bodyWeight": "string",    "emojis": [      "string"    ],    "headingFont": "string",    "headingWeight": "string",    "icons": [      "string"    ],    "motion": "string",    "overlay": "string",    "version": 0  },  "topics": [    {      "name": "string",      "slug": "string"    }  ],  "updatedAt": "2019-08-24T14:15:22Z",  "visibility": "string"}
GET
/api/v1/event-groups/{slug}

Path Parameters

slug*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
contentPages*array<>|null
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
eventCount?integer
Formatint64
eventGroupSeriesId?string
events*array<>|null
id*string
name*string
navigation*array<>|null
organizationId*string
posterPath?string
posterUrl?string
publicationState*string
publishedAt?string
Formatdate-time
slug*string
subdomain?string
summary?string
theme*
topics*array<>|null
updatedAt*string
Formatdate-time
visibility*string
Example Request
curl -X GET 'https://example.com/api/v1/event-groups/string'
Example Response
{  "$schema": "https://example.com/schemas/PublicEventGroup.json",  "contentPages": [    {      "blocks": [        {          "alt": "string",          "caption": "string",          "href": "string",          "items": [            {              "answer": "string",              "question": "string"            }          ],          "kind": "string",          "label": "string",          "mediaPath": "string",          "mediaUrl": "string",          "text": "string"        }      ],      "slug": "string",      "summary": "string",      "title": "string"    }  ],  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "eventCount": 0,  "eventGroupSeriesId": "string",  "events": [    {      "$schema": "https://example.com/schemas/Event.json",      "archivedAt": "2019-08-24T14:15:22Z",      "cancelReason": "string",      "cancelledAt": "2019-08-24T14:15:22Z",      "capacity": 0,      "category": "string",      "completedAt": "2019-08-24T14:15:22Z",      "contacts": [        {          "email": "string",          "name": "string",          "phone": "string"        }      ],      "coverPath": "string",      "coverUrl": "string",      "createdAt": "2019-08-24T14:15:22Z",      "description": "string",      "endAt": "2019-08-24T14:15:22Z",      "eventGroupId": "string",      "eventSeriesId": "string",      "eventSeriesPosition": 0,      "faqs": [        {          "answer": "string",          "question": "string"        }      ],      "fulfillmentMode": "string",      "id": "string",      "latitude": 0.1,      "locationCityId": "string",      "locationLocalityId": "string",      "locationPrecision": "string",      "longitude": 0.1,      "moderationState": "string",      "name": "string",      "onlineUrl": "string",      "organizationId": "string",      "participationMode": "string",      "posterPath": "string",      "posterUrl": "string",      "postponedAt": "2019-08-24T14:15:22Z",      "publicationState": "string",      "publishedAt": "2019-08-24T14:15:22Z",      "registrationPolicy": "string",      "salesPaused": true,      "salesState": "string",      "scheduleState": "string",      "showExactVenue": true,      "slug": "string",      "sponsors": [        {          "logoPath": "string",          "logoUrl": "string",          "name": "string",          "tier": "string",          "website": "string",          "writeup": "string"        }      ],      "startAt": "2019-08-24T14:15:22Z",      "style": {        "accent": "string",        "backgroundPattern": "string",        "bodyFont": "string",        "bodyWeight": "string",        "emojis": [          "string"        ],        "headingFont": "string",        "headingWeight": "string",        "icons": [          "string"        ],        "motion": "string",        "overlay": "string",        "version": 0      },      "summary": "string",      "teamMaxSize": 0,      "teamMinSize": 0,      "teamMode": "string",      "timezone": "string",      "topics": [        {          "name": "string",          "slug": "string"        }      ],      "updatedAt": "2019-08-24T14:15:22Z",      "venueAddress": "string",      "venueCity": "string",      "venueCountry": "string",      "venueId": "string",      "venueName": "string",      "venueState": "string",      "visibility": "string"    }  ],  "id": "string",  "name": "string",  "navigation": [    {      "contentSlug": "string",      "href": "string",      "kind": "string",      "label": "string"    }  ],  "organizationId": "string",  "posterPath": "string",  "posterUrl": "string",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "slug": "string",  "subdomain": "string",  "summary": "string",  "theme": {    "accent": "string",    "backgroundPattern": "string",    "bodyFont": "string",    "bodyWeight": "string",    "emojis": [      "string"    ],    "headingFont": "string",    "headingWeight": "string",    "icons": [      "string"    ],    "motion": "string",    "overlay": "string",    "version": 0  },  "topics": [    {      "name": "string",      "slug": "string"    }  ],  "updatedAt": "2019-08-24T14:15:22Z",  "visibility": "string"}
GET
/api/v1/event-series/{slug}

Path Parameters

slug*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
aggregate*
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
eventCount?integer
Formatint64
events*array<>|null
id*string
name*string
organizationId*string
posterPath?string
posterUrl?string
publicationState*string
publishedAt?string
Formatdate-time
slug*string
summary?string
topics*array<>|null
updatedAt*string
Formatdate-time
visibility*string
Example Request
curl -X GET 'https://example.com/api/v1/event-series/string'
Example Response
{  "$schema": "https://example.com/schemas/PublicEventSeries.json",  "aggregate": {    "categories": [      "string"    ],    "earliestStartAt": "2019-08-24T14:15:22Z",    "latestEndAt": "2019-08-24T14:15:22Z",    "publishedEvents": 0,    "totalEvents": 0  },  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "eventCount": 0,  "events": [    {      "$schema": "https://example.com/schemas/Event.json",      "archivedAt": "2019-08-24T14:15:22Z",      "cancelReason": "string",      "cancelledAt": "2019-08-24T14:15:22Z",      "capacity": 0,      "category": "string",      "completedAt": "2019-08-24T14:15:22Z",      "contacts": [        {          "email": "string",          "name": "string",          "phone": "string"        }      ],      "coverPath": "string",      "coverUrl": "string",      "createdAt": "2019-08-24T14:15:22Z",      "description": "string",      "endAt": "2019-08-24T14:15:22Z",      "eventGroupId": "string",      "eventSeriesId": "string",      "eventSeriesPosition": 0,      "faqs": [        {          "answer": "string",          "question": "string"        }      ],      "fulfillmentMode": "string",      "id": "string",      "latitude": 0.1,      "locationCityId": "string",      "locationLocalityId": "string",      "locationPrecision": "string",      "longitude": 0.1,      "moderationState": "string",      "name": "string",      "onlineUrl": "string",      "organizationId": "string",      "participationMode": "string",      "posterPath": "string",      "posterUrl": "string",      "postponedAt": "2019-08-24T14:15:22Z",      "publicationState": "string",      "publishedAt": "2019-08-24T14:15:22Z",      "registrationPolicy": "string",      "salesPaused": true,      "salesState": "string",      "scheduleState": "string",      "showExactVenue": true,      "slug": "string",      "sponsors": [        {          "logoPath": "string",          "logoUrl": "string",          "name": "string",          "tier": "string",          "website": "string",          "writeup": "string"        }      ],      "startAt": "2019-08-24T14:15:22Z",      "style": {        "accent": "string",        "backgroundPattern": "string",        "bodyFont": "string",        "bodyWeight": "string",        "emojis": [          "string"        ],        "headingFont": "string",        "headingWeight": "string",        "icons": [          "string"        ],        "motion": "string",        "overlay": "string",        "version": 0      },      "summary": "string",      "teamMaxSize": 0,      "teamMinSize": 0,      "teamMode": "string",      "timezone": "string",      "topics": [        {          "name": "string",          "slug": "string"        }      ],      "updatedAt": "2019-08-24T14:15:22Z",      "venueAddress": "string",      "venueCity": "string",      "venueCountry": "string",      "venueId": "string",      "venueName": "string",      "venueState": "string",      "visibility": "string"    }  ],  "id": "string",  "name": "string",  "organizationId": "string",  "posterPath": "string",  "posterUrl": "string",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "slug": "string",  "summary": "string",  "topics": [    {      "name": "string",      "slug": "string"    }  ],  "updatedAt": "2019-08-24T14:15:22Z",  "visibility": "string"}
GET
/api/v1/event-style-catalog

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
accents*array<>|null
backgroundPatterns*array<>|null
emojis*array<>|null
fonts*array<>|null
icons*array<>|null
version*integer
Formatint64
Example Request
curl -X GET 'https://example.com/api/v1/event-style-catalog'
Example Response
{  "$schema": "https://example.com/schemas/StyleCatalog.json",  "accents": [    {      "dark": "string",      "key": "string",      "light": "string",      "name": "string",      "onDark": "string",      "onLight": "string",      "ringDark": "string",      "ringLight": "string"    }  ],  "backgroundPatterns": [    {      "key": "string",      "name": "string"    }  ],  "emojis": [    {      "glyph": "string",      "key": "string",      "name": "string"    }  ],  "fonts": [    {      "bodyFont": true,      "family": "string",      "headingFont": true,      "key": "string",      "name": "string",      "weights": [        "string"      ]    }  ],  "icons": [    {      "key": "string",      "lucide": "string",      "name": "string"    }  ],  "version": 0}
GET
/api/v1/events/{slug}

Path Parameters

slug*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
archivedAt?string
Formatdate-time
cancelReason?string
cancelledAt?string
Formatdate-time
capacity?integer
Formatint64
category*string
completedAt?string
Formatdate-time
contacts?array<>|null
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
endAt*string
Formatdate-time
eventGroupId?string
eventSeriesId?string
eventSeriesPosition*integer
Formatint64
faqs?array<>|null
fulfillmentMode*string
group?
id*string
latitude?number
Formatdouble
locationCityId?string
locationLocalityId?string
locationPrecision?string
longitude?number
Formatdouble
moderationState*string
name*string
notices?array<>|null
onlineUrl?string
organizationId*string
organizer?
participationMode*string
passes*array<>|null
posterPath?string
posterUrl?string
postponedAt?string
Formatdate-time
publicationState*string
publishedAt?string
Formatdate-time
registrationPolicy*string
salesPaused*boolean
salesState?string
scheduleState*string
series?
sessions*array<>|null
showExactVenue*boolean
slug*string
sponsors?array<>|null
startAt*string
Formatdate-time
style*
summary?string
teamMaxSize*integer
Formatint64
teamMinSize*integer
Formatint64
teamMode*string
timezone*string
topics*array<>|null
updatedAt*string
Formatdate-time
venueAddress?string
venueCity?string
venueCountry?string
venueId?string
venueName?string
venueState?string
visibility*string
Example Request
curl -X GET 'https://example.com/api/v1/events/string'
Example Response
{  "$schema": "https://example.com/schemas/PublicEvent.json",  "archivedAt": "2019-08-24T14:15:22Z",  "cancelReason": "string",  "cancelledAt": "2019-08-24T14:15:22Z",  "capacity": 0,  "category": "string",  "completedAt": "2019-08-24T14:15:22Z",  "contacts": [    {      "email": "string",      "name": "string",      "phone": "string"    }  ],  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "endAt": "2019-08-24T14:15:22Z",  "eventGroupId": "string",  "eventSeriesId": "string",  "eventSeriesPosition": 0,  "faqs": [    {      "answer": "string",      "question": "string"    }  ],  "fulfillmentMode": "string",  "group": {    "$schema": "https://example.com/schemas/EventGroup.json",    "contentPages": [      {        "blocks": [          {            "alt": "string",            "caption": "string",            "href": "string",            "items": [              {                "answer": "string",                "question": "string"              }            ],            "kind": "string",            "label": "string",            "mediaPath": "string",            "mediaUrl": "string",            "text": "string"          }        ],        "slug": "string",        "summary": "string",        "title": "string"      }    ],    "coverPath": "string",    "coverUrl": "string",    "createdAt": "2019-08-24T14:15:22Z",    "description": "string",    "eventCount": 0,    "eventGroupSeriesId": "string",    "id": "string",    "name": "string",    "navigation": [      {        "contentSlug": "string",        "href": "string",        "kind": "string",        "label": "string"      }    ],    "organizationId": "string",    "posterPath": "string",    "posterUrl": "string",    "publicationState": "string",    "publishedAt": "2019-08-24T14:15:22Z",    "slug": "string",    "subdomain": "string",    "summary": "string",    "theme": {      "accent": "string",      "backgroundPattern": "string",      "bodyFont": "string",      "bodyWeight": "string",      "emojis": [        "string"      ],      "headingFont": "string",      "headingWeight": "string",      "icons": [        "string"      ],      "motion": "string",      "overlay": "string",      "version": 0    },    "topics": [      {        "name": "string",        "slug": "string"      }    ],    "updatedAt": "2019-08-24T14:15:22Z",    "visibility": "string"  },  "id": "string",  "latitude": 0.1,  "locationCityId": "string",  "locationLocalityId": "string",  "locationPrecision": "string",  "longitude": 0.1,  "moderationState": "string",  "name": "string",  "notices": [    {      "createdAt": "2019-08-24T14:15:22Z",      "kind": "string",      "summary": "string"    }  ],  "onlineUrl": "string",  "organizationId": "string",  "organizer": {    "bio": "string",    "brandAccent": "string",    "contactEmail": "string",    "contactPhone": "string",    "iconUrl": "string",    "id": "string",    "name": "string",    "slug": "string",    "socialLinks": {      "property1": "string",      "property2": "string"    },    "websiteUrl": "string"  },  "participationMode": "string",  "passes": [    {      "$schema": "https://example.com/schemas/Pass.json",      "attendanceModes": [        "in_person"      ],      "capacity": 0,      "createdAt": "2019-08-24T14:15:22Z",      "currency": "string",      "description": "string",      "eventId": "string",      "id": "string",      "isActive": true,      "listPriceMinorUnits": 0,      "maxPerOrder": 0,      "minPerOrder": 0,      "name": "string",      "organizationId": "string",      "priceMinorUnits": 0,      "requiresApproval": true,      "saleEndAt": "2019-08-24T14:15:22Z",      "saleStartAt": "2019-08-24T14:15:22Z",      "saleState": "string",      "selectedSessionIds": [        "string"      ],      "sessionScope": "string",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "posterPath": "string",  "posterUrl": "string",  "postponedAt": "2019-08-24T14:15:22Z",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "registrationPolicy": "string",  "salesPaused": true,  "salesState": "string",  "scheduleState": "string",  "series": {    "$schema": "https://example.com/schemas/EventSeries.json",    "coverPath": "string",    "coverUrl": "string",    "createdAt": "2019-08-24T14:15:22Z",    "description": "string",    "eventCount": 0,    "id": "string",    "name": "string",    "organizationId": "string",    "posterPath": "string",    "posterUrl": "string",    "publicationState": "string",    "publishedAt": "2019-08-24T14:15:22Z",    "slug": "string",    "summary": "string",    "topics": [      {        "name": "string",        "slug": "string"      }    ],    "updatedAt": "2019-08-24T14:15:22Z",    "visibility": "string"  },  "sessions": [    {      "$schema": "https://example.com/schemas/EventSession.json",      "capacity": 0,      "createdAt": "2019-08-24T14:15:22Z",      "description": "string",      "endAt": "2019-08-24T14:15:22Z",      "eventId": "string",      "id": "string",      "name": "string",      "organizationId": "string",      "position": 0,      "roomName": "string",      "startAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "showExactVenue": true,  "slug": "string",  "sponsors": [    {      "logoPath": "string",      "logoUrl": "string",      "name": "string",      "tier": "string",      "website": "string",      "writeup": "string"    }  ],  "startAt": "2019-08-24T14:15:22Z",  "style": {    "accent": "string",    "backgroundPattern": "string",    "bodyFont": "string",    "bodyWeight": "string",    "emojis": [      "string"    ],    "headingFont": "string",    "headingWeight": "string",    "icons": [      "string"    ],    "motion": "string",    "overlay": "string",    "version": 0  },  "summary": "string",  "teamMaxSize": 0,  "teamMinSize": 0,  "teamMode": "string",  "timezone": "string",  "topics": [    {      "name": "string",      "slug": "string"    }  ],  "updatedAt": "2019-08-24T14:15:22Z",  "venueAddress": "string",  "venueCity": "string",  "venueCountry": "string",  "venueId": "string",  "venueName": "string",  "venueState": "string",  "visibility": "string"}
GET
/api/v1/organizations/{organization_id}/event-group-series

Path Parameters

organization_id*string

Query Parameters

q?string

Case-insensitive name/slug search

ids?array<string>|

Resolve these exact EventGroupSeries ids. Repeat or comma-separate for several; use to look up labels for selected ids.

statuses?array<string>|

Filter by publication state (draft, published). Repeat or comma-separate for several.

visibilities?array<string>|

Filter by visibility (public, unlisted, private). Repeat or comma-separate for several.

limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/event-group-series'
Example Response
{  "$schema": "https://example.com/schemas/PageEventGroupSeries.json",  "data": [    {      "$schema": "https://example.com/schemas/EventGroupSeries.json",      "coverPath": "string",      "coverUrl": "string",      "createdAt": "2019-08-24T14:15:22Z",      "description": "string",      "groupCount": 0,      "id": "string",      "name": "string",      "organizationId": "string",      "posterPath": "string",      "posterUrl": "string",      "publicationState": "string",      "publishedAt": "2019-08-24T14:15:22Z",      "slug": "string",      "summary": "string",      "updatedAt": "2019-08-24T14:15:22Z",      "visibility": "string"    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}
POST
/api/v1/organizations/{organization_id}/event-group-series

Path Parameters

organization_id*string

Request Body

application/json
  1. body
description?string
name*string
slug?string
summary?string
topics?array<string>|null
visibility?string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
groupCount?integer
Formatint64
id*string
name*string
organizationId*string
posterPath?string
posterUrl?string
publicationState*string
publishedAt?string
Formatdate-time
slug*string
summary?string
updatedAt*string
Formatdate-time
visibility*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/event-group-series' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/EventGroupSeries.json",  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "groupCount": 0,  "id": "string",  "name": "string",  "organizationId": "string",  "posterPath": "string",  "posterUrl": "string",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "slug": "string",  "summary": "string",  "updatedAt": "2019-08-24T14:15:22Z",  "visibility": "string"}

Get an EventGroupSeries

GET
/api/v1/organizations/{organization_id}/event-group-series/{series_id}

Path Parameters

organization_id*string
series_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
groupCount?integer
Formatint64
id*string
name*string
organizationId*string
posterPath?string
posterUrl?string
publicationState*string
publishedAt?string
Formatdate-time
slug*string
summary?string
updatedAt*string
Formatdate-time
visibility*string
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/event-group-series/string'
Example Response
{  "$schema": "https://example.com/schemas/EventGroupSeries.json",  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "groupCount": 0,  "id": "string",  "name": "string",  "organizationId": "string",  "posterPath": "string",  "posterUrl": "string",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "slug": "string",  "summary": "string",  "updatedAt": "2019-08-24T14:15:22Z",  "visibility": "string"}
PATCH
/api/v1/organizations/{organization_id}/event-group-series/{series_id}

Path Parameters

organization_id*string
series_id*string

Request Body

application/json
  1. body
coverPath?string
description?string
name?string
posterPath?string
slug?string
summary?string
topics?array<string>
visibility?string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
groupCount?integer
Formatint64
id*string
name*string
organizationId*string
posterPath?string
posterUrl?string
publicationState*string
publishedAt?string
Formatdate-time
slug*string
summary?string
updatedAt*string
Formatdate-time
visibility*string
Example Request
curl -X PATCH 'https://example.com/api/v1/organizations/string/event-group-series/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "$schema": "https://example.com/schemas/EventGroupSeries.json",  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "groupCount": 0,  "id": "string",  "name": "string",  "organizationId": "string",  "posterPath": "string",  "posterUrl": "string",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "slug": "string",  "summary": "string",  "updatedAt": "2019-08-24T14:15:22Z",  "visibility": "string"}
DELETE
/api/v1/organizations/{organization_id}/event-group-series/{series_id}

Path Parameters

organization_id*string
series_id*string

Response Body

No Content

Example Request
curl -X DELETE 'https://example.com/api/v1/organizations/string/event-group-series/string'
Example Response
Empty
POST
/api/v1/organizations/{organization_id}/event-group-series/{series_id}/event-groups

Path Parameters

organization_id*string
series_id*string

Request Body

application/json
  1. body
groupIds*array<string>|null

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
eventGroups*array<>|null
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/event-group-series/string/event-groups' \  -H 'Content-Type: application/json' \  -d '{  "groupIds": [    "string"  ]}'
Example Response
{  "$schema": "https://example.com/schemas/GroupMembersOutputBody.json",  "eventGroups": [    {      "$schema": "https://example.com/schemas/EventGroup.json",      "contentPages": [        {          "blocks": [            {              "alt": "string",              "caption": "string",              "href": "string",              "items": [                {                  "answer": "string",                  "question": "string"                }              ],              "kind": "string",              "label": "string",              "mediaPath": "string",              "mediaUrl": "string",              "text": "string"            }          ],          "slug": "string",          "summary": "string",          "title": "string"        }      ],      "coverPath": "string",      "coverUrl": "string",      "createdAt": "2019-08-24T14:15:22Z",      "description": "string",      "eventCount": 0,      "eventGroupSeriesId": "string",      "id": "string",      "name": "string",      "navigation": [        {          "contentSlug": "string",          "href": "string",          "kind": "string",          "label": "string"        }      ],      "organizationId": "string",      "posterPath": "string",      "posterUrl": "string",      "publicationState": "string",      "publishedAt": "2019-08-24T14:15:22Z",      "slug": "string",      "subdomain": "string",      "summary": "string",      "theme": {        "accent": "string",        "backgroundPattern": "string",        "bodyFont": "string",        "bodyWeight": "string",        "emojis": [          "string"        ],        "headingFont": "string",        "headingWeight": "string",        "icons": [          "string"        ],        "motion": "string",        "overlay": "string",        "version": 0      },      "topics": [        {          "name": "string",          "slug": "string"        }      ],      "updatedAt": "2019-08-24T14:15:22Z",      "visibility": "string"    }  ]}
POST
/api/v1/organizations/{organization_id}/event-group-series/{series_id}/publish

Path Parameters

organization_id*string
series_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
groupCount?integer
Formatint64
id*string
name*string
organizationId*string
posterPath?string
posterUrl?string
publicationState*string
publishedAt?string
Formatdate-time
slug*string
summary?string
updatedAt*string
Formatdate-time
visibility*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/event-group-series/string/publish'
Example Response
{  "$schema": "https://example.com/schemas/EventGroupSeries.json",  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "groupCount": 0,  "id": "string",  "name": "string",  "organizationId": "string",  "posterPath": "string",  "posterUrl": "string",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "slug": "string",  "summary": "string",  "updatedAt": "2019-08-24T14:15:22Z",  "visibility": "string"}
GET
/api/v1/organizations/{organization_id}/event-groups

Path Parameters

organization_id*string

Query Parameters

q?string

Case-insensitive name/slug search

ids?array<string>|

Resolve these exact EventGroup ids. Repeat or comma-separate for several; use to look up labels for selected ids.

statuses?array<string>|

Filter by publication state (draft, published). Repeat or comma-separate for several.

visibilities?array<string>|

Filter by visibility (public, unlisted, private). Repeat or comma-separate for several.

limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/event-groups'
Example Response
{  "$schema": "https://example.com/schemas/PageEventGroup.json",  "data": [    {      "$schema": "https://example.com/schemas/EventGroup.json",      "contentPages": [        {          "blocks": [            {              "alt": "string",              "caption": "string",              "href": "string",              "items": [                {                  "answer": "string",                  "question": "string"                }              ],              "kind": "string",              "label": "string",              "mediaPath": "string",              "mediaUrl": "string",              "text": "string"            }          ],          "slug": "string",          "summary": "string",          "title": "string"        }      ],      "coverPath": "string",      "coverUrl": "string",      "createdAt": "2019-08-24T14:15:22Z",      "description": "string",      "eventCount": 0,      "eventGroupSeriesId": "string",      "id": "string",      "name": "string",      "navigation": [        {          "contentSlug": "string",          "href": "string",          "kind": "string",          "label": "string"        }      ],      "organizationId": "string",      "posterPath": "string",      "posterUrl": "string",      "publicationState": "string",      "publishedAt": "2019-08-24T14:15:22Z",      "slug": "string",      "subdomain": "string",      "summary": "string",      "theme": {        "accent": "string",        "backgroundPattern": "string",        "bodyFont": "string",        "bodyWeight": "string",        "emojis": [          "string"        ],        "headingFont": "string",        "headingWeight": "string",        "icons": [          "string"        ],        "motion": "string",        "overlay": "string",        "version": 0      },      "topics": [        {          "name": "string",          "slug": "string"        }      ],      "updatedAt": "2019-08-24T14:15:22Z",      "visibility": "string"    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}

Draft an EventGroup

POST
/api/v1/organizations/{organization_id}/event-groups

Path Parameters

organization_id*string

Request Body

application/json
  1. body
description?string
eventGroupSeriesId?string
name*string
slug?string
summary?string
topics?array<string>|null
visibility?string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
contentPages*array<>|null
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
eventCount?integer
Formatint64
eventGroupSeriesId?string
id*string
name*string
navigation*array<>|null
organizationId*string
posterPath?string
posterUrl?string
publicationState*string
publishedAt?string
Formatdate-time
slug*string
subdomain?string
summary?string
theme*
topics*array<>|null
updatedAt*string
Formatdate-time
visibility*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/event-groups' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/EventGroup.json",  "contentPages": [    {      "blocks": [        {          "alt": "string",          "caption": "string",          "href": "string",          "items": [            {              "answer": "string",              "question": "string"            }          ],          "kind": "string",          "label": "string",          "mediaPath": "string",          "mediaUrl": "string",          "text": "string"        }      ],      "slug": "string",      "summary": "string",      "title": "string"    }  ],  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "eventCount": 0,  "eventGroupSeriesId": "string",  "id": "string",  "name": "string",  "navigation": [    {      "contentSlug": "string",      "href": "string",      "kind": "string",      "label": "string"    }  ],  "organizationId": "string",  "posterPath": "string",  "posterUrl": "string",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "slug": "string",  "subdomain": "string",  "summary": "string",  "theme": {    "accent": "string",    "backgroundPattern": "string",    "bodyFont": "string",    "bodyWeight": "string",    "emojis": [      "string"    ],    "headingFont": "string",    "headingWeight": "string",    "icons": [      "string"    ],    "motion": "string",    "overlay": "string",    "version": 0  },  "topics": [    {      "name": "string",      "slug": "string"    }  ],  "updatedAt": "2019-08-24T14:15:22Z",  "visibility": "string"}

Get an EventGroup

GET
/api/v1/organizations/{organization_id}/event-groups/{group_id}

Path Parameters

organization_id*string
group_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
contentPages*array<>|null
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
eventCount?integer
Formatint64
eventGroupSeriesId?string
id*string
name*string
navigation*array<>|null
organizationId*string
posterPath?string
posterUrl?string
publicationState*string
publishedAt?string
Formatdate-time
slug*string
subdomain?string
summary?string
theme*
topics*array<>|null
updatedAt*string
Formatdate-time
visibility*string
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/event-groups/string'
Example Response
{  "$schema": "https://example.com/schemas/EventGroup.json",  "contentPages": [    {      "blocks": [        {          "alt": "string",          "caption": "string",          "href": "string",          "items": [            {              "answer": "string",              "question": "string"            }          ],          "kind": "string",          "label": "string",          "mediaPath": "string",          "mediaUrl": "string",          "text": "string"        }      ],      "slug": "string",      "summary": "string",      "title": "string"    }  ],  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "eventCount": 0,  "eventGroupSeriesId": "string",  "id": "string",  "name": "string",  "navigation": [    {      "contentSlug": "string",      "href": "string",      "kind": "string",      "label": "string"    }  ],  "organizationId": "string",  "posterPath": "string",  "posterUrl": "string",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "slug": "string",  "subdomain": "string",  "summary": "string",  "theme": {    "accent": "string",    "backgroundPattern": "string",    "bodyFont": "string",    "bodyWeight": "string",    "emojis": [      "string"    ],    "headingFont": "string",    "headingWeight": "string",    "icons": [      "string"    ],    "motion": "string",    "overlay": "string",    "version": 0  },  "topics": [    {      "name": "string",      "slug": "string"    }  ],  "updatedAt": "2019-08-24T14:15:22Z",  "visibility": "string"}

Update an EventGroup

PATCH
/api/v1/organizations/{organization_id}/event-groups/{group_id}

Path Parameters

organization_id*string
group_id*string

Request Body

application/json
  1. body
contentPages?array<>
coverPath?string
description?string
eventGroupSeriesId?string
name?string
navigation?array<>
posterPath?string
slug?string
summary?string
theme?
topics?array<string>
visibility?string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
contentPages*array<>|null
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
eventCount?integer
Formatint64
eventGroupSeriesId?string
id*string
name*string
navigation*array<>|null
organizationId*string
posterPath?string
posterUrl?string
publicationState*string
publishedAt?string
Formatdate-time
slug*string
subdomain?string
summary?string
theme*
topics*array<>|null
updatedAt*string
Formatdate-time
visibility*string
Example Request
curl -X PATCH 'https://example.com/api/v1/organizations/string/event-groups/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "$schema": "https://example.com/schemas/EventGroup.json",  "contentPages": [    {      "blocks": [        {          "alt": "string",          "caption": "string",          "href": "string",          "items": [            {              "answer": "string",              "question": "string"            }          ],          "kind": "string",          "label": "string",          "mediaPath": "string",          "mediaUrl": "string",          "text": "string"        }      ],      "slug": "string",      "summary": "string",      "title": "string"    }  ],  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "eventCount": 0,  "eventGroupSeriesId": "string",  "id": "string",  "name": "string",  "navigation": [    {      "contentSlug": "string",      "href": "string",      "kind": "string",      "label": "string"    }  ],  "organizationId": "string",  "posterPath": "string",  "posterUrl": "string",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "slug": "string",  "subdomain": "string",  "summary": "string",  "theme": {    "accent": "string",    "backgroundPattern": "string",    "bodyFont": "string",    "bodyWeight": "string",    "emojis": [      "string"    ],    "headingFont": "string",    "headingWeight": "string",    "icons": [      "string"    ],    "motion": "string",    "overlay": "string",    "version": 0  },  "topics": [    {      "name": "string",      "slug": "string"    }  ],  "updatedAt": "2019-08-24T14:15:22Z",  "visibility": "string"}
DELETE
/api/v1/organizations/{organization_id}/event-groups/{group_id}

Path Parameters

organization_id*string
group_id*string

Response Body

No Content

Example Request
curl -X DELETE 'https://example.com/api/v1/organizations/string/event-groups/string'
Example Response
Empty
POST
/api/v1/organizations/{organization_id}/event-groups/{group_id}/events

Path Parameters

organization_id*string
group_id*string

Request Body

application/json
  1. body
eventIds*array<string>|null

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
events*array<>|null
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/event-groups/string/events' \  -H 'Content-Type: application/json' \  -d '{  "eventIds": [    "string"  ]}'
Example Response
{  "$schema": "https://example.com/schemas/EventMembersOutputBody.json",  "events": [    {      "$schema": "https://example.com/schemas/Event.json",      "archivedAt": "2019-08-24T14:15:22Z",      "cancelReason": "string",      "cancelledAt": "2019-08-24T14:15:22Z",      "capacity": 0,      "category": "string",      "completedAt": "2019-08-24T14:15:22Z",      "contacts": [        {          "email": "string",          "name": "string",          "phone": "string"        }      ],      "coverPath": "string",      "coverUrl": "string",      "createdAt": "2019-08-24T14:15:22Z",      "description": "string",      "endAt": "2019-08-24T14:15:22Z",      "eventGroupId": "string",      "eventSeriesId": "string",      "eventSeriesPosition": 0,      "faqs": [        {          "answer": "string",          "question": "string"        }      ],      "fulfillmentMode": "string",      "id": "string",      "latitude": 0.1,      "locationCityId": "string",      "locationLocalityId": "string",      "locationPrecision": "string",      "longitude": 0.1,      "moderationState": "string",      "name": "string",      "onlineUrl": "string",      "organizationId": "string",      "participationMode": "string",      "posterPath": "string",      "posterUrl": "string",      "postponedAt": "2019-08-24T14:15:22Z",      "publicationState": "string",      "publishedAt": "2019-08-24T14:15:22Z",      "registrationPolicy": "string",      "salesPaused": true,      "salesState": "string",      "scheduleState": "string",      "showExactVenue": true,      "slug": "string",      "sponsors": [        {          "logoPath": "string",          "logoUrl": "string",          "name": "string",          "tier": "string",          "website": "string",          "writeup": "string"        }      ],      "startAt": "2019-08-24T14:15:22Z",      "style": {        "accent": "string",        "backgroundPattern": "string",        "bodyFont": "string",        "bodyWeight": "string",        "emojis": [          "string"        ],        "headingFont": "string",        "headingWeight": "string",        "icons": [          "string"        ],        "motion": "string",        "overlay": "string",        "version": 0      },      "summary": "string",      "teamMaxSize": 0,      "teamMinSize": 0,      "teamMode": "string",      "timezone": "string",      "topics": [        {          "name": "string",          "slug": "string"        }      ],      "updatedAt": "2019-08-24T14:15:22Z",      "venueAddress": "string",      "venueCity": "string",      "venueCountry": "string",      "venueId": "string",      "venueName": "string",      "venueState": "string",      "visibility": "string"    }  ]}
POST
/api/v1/organizations/{organization_id}/event-groups/{group_id}/publish

Path Parameters

organization_id*string
group_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
contentPages*array<>|null
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
eventCount?integer
Formatint64
eventGroupSeriesId?string
id*string
name*string
navigation*array<>|null
organizationId*string
posterPath?string
posterUrl?string
publicationState*string
publishedAt?string
Formatdate-time
slug*string
subdomain?string
summary?string
theme*
topics*array<>|null
updatedAt*string
Formatdate-time
visibility*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/event-groups/string/publish'
Example Response
{  "$schema": "https://example.com/schemas/EventGroup.json",  "contentPages": [    {      "blocks": [        {          "alt": "string",          "caption": "string",          "href": "string",          "items": [            {              "answer": "string",              "question": "string"            }          ],          "kind": "string",          "label": "string",          "mediaPath": "string",          "mediaUrl": "string",          "text": "string"        }      ],      "slug": "string",      "summary": "string",      "title": "string"    }  ],  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "eventCount": 0,  "eventGroupSeriesId": "string",  "id": "string",  "name": "string",  "navigation": [    {      "contentSlug": "string",      "href": "string",      "kind": "string",      "label": "string"    }  ],  "organizationId": "string",  "posterPath": "string",  "posterUrl": "string",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "slug": "string",  "subdomain": "string",  "summary": "string",  "theme": {    "accent": "string",    "backgroundPattern": "string",    "bodyFont": "string",    "bodyWeight": "string",    "emojis": [      "string"    ],    "headingFont": "string",    "headingWeight": "string",    "icons": [      "string"    ],    "motion": "string",    "overlay": "string",    "version": 0  },  "topics": [    {      "name": "string",      "slug": "string"    }  ],  "updatedAt": "2019-08-24T14:15:22Z",  "visibility": "string"}
GET
/api/v1/organizations/{organization_id}/event-series

Path Parameters

organization_id*string

Query Parameters

q?string

Case-insensitive name/slug search

ids?array<string>|

Resolve these exact EventSeries ids. Repeat or comma-separate for several; use to look up labels for selected ids.

statuses?array<string>|

Filter by publication state (draft, published). Repeat or comma-separate for several.

visibilities?array<string>|

Filter by visibility (public, unlisted, private). Repeat or comma-separate for several.

limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/event-series'
Example Response
{  "$schema": "https://example.com/schemas/PageEventSeries.json",  "data": [    {      "$schema": "https://example.com/schemas/EventSeries.json",      "coverPath": "string",      "coverUrl": "string",      "createdAt": "2019-08-24T14:15:22Z",      "description": "string",      "eventCount": 0,      "id": "string",      "name": "string",      "organizationId": "string",      "posterPath": "string",      "posterUrl": "string",      "publicationState": "string",      "publishedAt": "2019-08-24T14:15:22Z",      "slug": "string",      "summary": "string",      "topics": [        {          "name": "string",          "slug": "string"        }      ],      "updatedAt": "2019-08-24T14:15:22Z",      "visibility": "string"    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}

Draft an EventSeries

POST
/api/v1/organizations/{organization_id}/event-series

Path Parameters

organization_id*string

Request Body

application/json
  1. body
description?string
name*string
slug?string
summary?string
topics?array<string>|null
visibility?string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
eventCount?integer
Formatint64
id*string
name*string
organizationId*string
posterPath?string
posterUrl?string
publicationState*string
publishedAt?string
Formatdate-time
slug*string
summary?string
topics*array<>|null
updatedAt*string
Formatdate-time
visibility*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/event-series' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/EventSeries.json",  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "eventCount": 0,  "id": "string",  "name": "string",  "organizationId": "string",  "posterPath": "string",  "posterUrl": "string",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "slug": "string",  "summary": "string",  "topics": [    {      "name": "string",      "slug": "string"    }  ],  "updatedAt": "2019-08-24T14:15:22Z",  "visibility": "string"}

Get an EventSeries

GET
/api/v1/organizations/{organization_id}/event-series/{series_id}

Path Parameters

organization_id*string
series_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
eventCount?integer
Formatint64
id*string
name*string
organizationId*string
posterPath?string
posterUrl?string
publicationState*string
publishedAt?string
Formatdate-time
slug*string
summary?string
topics*array<>|null
updatedAt*string
Formatdate-time
visibility*string
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/event-series/string'
Example Response
{  "$schema": "https://example.com/schemas/EventSeries.json",  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "eventCount": 0,  "id": "string",  "name": "string",  "organizationId": "string",  "posterPath": "string",  "posterUrl": "string",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "slug": "string",  "summary": "string",  "topics": [    {      "name": "string",      "slug": "string"    }  ],  "updatedAt": "2019-08-24T14:15:22Z",  "visibility": "string"}

Update an EventSeries

PATCH
/api/v1/organizations/{organization_id}/event-series/{series_id}

Path Parameters

organization_id*string
series_id*string

Request Body

application/json
  1. body
coverPath?string
description?string
name?string
posterPath?string
slug?string
summary?string
topics?array<string>
visibility?string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
eventCount?integer
Formatint64
id*string
name*string
organizationId*string
posterPath?string
posterUrl?string
publicationState*string
publishedAt?string
Formatdate-time
slug*string
summary?string
topics*array<>|null
updatedAt*string
Formatdate-time
visibility*string
Example Request
curl -X PATCH 'https://example.com/api/v1/organizations/string/event-series/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "$schema": "https://example.com/schemas/EventSeries.json",  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "eventCount": 0,  "id": "string",  "name": "string",  "organizationId": "string",  "posterPath": "string",  "posterUrl": "string",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "slug": "string",  "summary": "string",  "topics": [    {      "name": "string",      "slug": "string"    }  ],  "updatedAt": "2019-08-24T14:15:22Z",  "visibility": "string"}
DELETE
/api/v1/organizations/{organization_id}/event-series/{series_id}

Path Parameters

organization_id*string
series_id*string

Response Body

No Content

Example Request
curl -X DELETE 'https://example.com/api/v1/organizations/string/event-series/string'
Example Response
Empty
POST
/api/v1/organizations/{organization_id}/event-series/{series_id}/events

Path Parameters

organization_id*string
series_id*string

Request Body

application/json
  1. body
eventIds*array<string>|null

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
events*array<>|null
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/event-series/string/events' \  -H 'Content-Type: application/json' \  -d '{  "eventIds": [    "string"  ]}'
Example Response
{  "$schema": "https://example.com/schemas/EventMembersOutputBody.json",  "events": [    {      "$schema": "https://example.com/schemas/Event.json",      "archivedAt": "2019-08-24T14:15:22Z",      "cancelReason": "string",      "cancelledAt": "2019-08-24T14:15:22Z",      "capacity": 0,      "category": "string",      "completedAt": "2019-08-24T14:15:22Z",      "contacts": [        {          "email": "string",          "name": "string",          "phone": "string"        }      ],      "coverPath": "string",      "coverUrl": "string",      "createdAt": "2019-08-24T14:15:22Z",      "description": "string",      "endAt": "2019-08-24T14:15:22Z",      "eventGroupId": "string",      "eventSeriesId": "string",      "eventSeriesPosition": 0,      "faqs": [        {          "answer": "string",          "question": "string"        }      ],      "fulfillmentMode": "string",      "id": "string",      "latitude": 0.1,      "locationCityId": "string",      "locationLocalityId": "string",      "locationPrecision": "string",      "longitude": 0.1,      "moderationState": "string",      "name": "string",      "onlineUrl": "string",      "organizationId": "string",      "participationMode": "string",      "posterPath": "string",      "posterUrl": "string",      "postponedAt": "2019-08-24T14:15:22Z",      "publicationState": "string",      "publishedAt": "2019-08-24T14:15:22Z",      "registrationPolicy": "string",      "salesPaused": true,      "salesState": "string",      "scheduleState": "string",      "showExactVenue": true,      "slug": "string",      "sponsors": [        {          "logoPath": "string",          "logoUrl": "string",          "name": "string",          "tier": "string",          "website": "string",          "writeup": "string"        }      ],      "startAt": "2019-08-24T14:15:22Z",      "style": {        "accent": "string",        "backgroundPattern": "string",        "bodyFont": "string",        "bodyWeight": "string",        "emojis": [          "string"        ],        "headingFont": "string",        "headingWeight": "string",        "icons": [          "string"        ],        "motion": "string",        "overlay": "string",        "version": 0      },      "summary": "string",      "teamMaxSize": 0,      "teamMinSize": 0,      "teamMode": "string",      "timezone": "string",      "topics": [        {          "name": "string",          "slug": "string"        }      ],      "updatedAt": "2019-08-24T14:15:22Z",      "venueAddress": "string",      "venueCity": "string",      "venueCountry": "string",      "venueId": "string",      "venueName": "string",      "venueState": "string",      "visibility": "string"    }  ]}
POST
/api/v1/organizations/{organization_id}/event-series/{series_id}/fork

Path Parameters

organization_id*string
series_id*string

Request Body

application/json
  1. body
name?string
sourceEventId*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
archivedAt?string
Formatdate-time
cancelReason?string
cancelledAt?string
Formatdate-time
capacity?integer
Formatint64
category*string
completedAt?string
Formatdate-time
contacts?array<>|null
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
endAt*string
Formatdate-time
eventGroupId?string
eventSeriesId?string
eventSeriesPosition*integer
Formatint64
faqs?array<>|null
fulfillmentMode*string
id*string
latitude?number
Formatdouble
locationCityId?string
locationLocalityId?string
locationPrecision?string
longitude?number
Formatdouble
moderationState*string
name*string
onlineUrl?string
organizationId*string
participationMode*string
posterPath?string
posterUrl?string
postponedAt?string
Formatdate-time
publicationState*string
publishedAt?string
Formatdate-time
registrationPolicy*string
salesPaused*boolean
salesState?string
scheduleState*string
showExactVenue*boolean
slug*string
sponsors?array<>|null
startAt*string
Formatdate-time
style*
summary?string
teamMaxSize*integer
Formatint64
teamMinSize*integer
Formatint64
teamMode*string
timezone*string
topics*array<>|null
updatedAt*string
Formatdate-time
venueAddress?string
venueCity?string
venueCountry?string
venueId?string
venueName?string
venueState?string
visibility*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/event-series/string/fork' \  -H 'Content-Type: application/json' \  -d '{  "sourceEventId": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/Event.json",  "archivedAt": "2019-08-24T14:15:22Z",  "cancelReason": "string",  "cancelledAt": "2019-08-24T14:15:22Z",  "capacity": 0,  "category": "string",  "completedAt": "2019-08-24T14:15:22Z",  "contacts": [    {      "email": "string",      "name": "string",      "phone": "string"    }  ],  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "endAt": "2019-08-24T14:15:22Z",  "eventGroupId": "string",  "eventSeriesId": "string",  "eventSeriesPosition": 0,  "faqs": [    {      "answer": "string",      "question": "string"    }  ],  "fulfillmentMode": "string",  "id": "string",  "latitude": 0.1,  "locationCityId": "string",  "locationLocalityId": "string",  "locationPrecision": "string",  "longitude": 0.1,  "moderationState": "string",  "name": "string",  "onlineUrl": "string",  "organizationId": "string",  "participationMode": "string",  "posterPath": "string",  "posterUrl": "string",  "postponedAt": "2019-08-24T14:15:22Z",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "registrationPolicy": "string",  "salesPaused": true,  "salesState": "string",  "scheduleState": "string",  "showExactVenue": true,  "slug": "string",  "sponsors": [    {      "logoPath": "string",      "logoUrl": "string",      "name": "string",      "tier": "string",      "website": "string",      "writeup": "string"    }  ],  "startAt": "2019-08-24T14:15:22Z",  "style": {    "accent": "string",    "backgroundPattern": "string",    "bodyFont": "string",    "bodyWeight": "string",    "emojis": [      "string"    ],    "headingFont": "string",    "headingWeight": "string",    "icons": [      "string"    ],    "motion": "string",    "overlay": "string",    "version": 0  },  "summary": "string",  "teamMaxSize": 0,  "teamMinSize": 0,  "teamMode": "string",  "timezone": "string",  "topics": [    {      "name": "string",      "slug": "string"    }  ],  "updatedAt": "2019-08-24T14:15:22Z",  "venueAddress": "string",  "venueCity": "string",  "venueCountry": "string",  "venueId": "string",  "venueName": "string",  "venueState": "string",  "visibility": "string"}

Set EventSeries ordering

POST
/api/v1/organizations/{organization_id}/event-series/{series_id}/order

Path Parameters

organization_id*string
series_id*string

Request Body

application/json
  1. body
orderedEventIds*array<string>|null

Response Body

No Content

Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/event-series/string/order' \  -H 'Content-Type: application/json' \  -d '{  "orderedEventIds": [    "string"  ]}'
Example Response
Empty

Publish an EventSeries

POST
/api/v1/organizations/{organization_id}/event-series/{series_id}/publish

Path Parameters

organization_id*string
series_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
eventCount?integer
Formatint64
id*string
name*string
organizationId*string
posterPath?string
posterUrl?string
publicationState*string
publishedAt?string
Formatdate-time
slug*string
summary?string
topics*array<>|null
updatedAt*string
Formatdate-time
visibility*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/event-series/string/publish'
Example Response
{  "$schema": "https://example.com/schemas/EventSeries.json",  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "eventCount": 0,  "id": "string",  "name": "string",  "organizationId": "string",  "posterPath": "string",  "posterUrl": "string",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "slug": "string",  "summary": "string",  "topics": [    {      "name": "string",      "slug": "string"    }  ],  "updatedAt": "2019-08-24T14:15:22Z",  "visibility": "string"}
POST
/api/v1/organizations/{organization_id}/event-series/{series_id}/repeat

Path Parameters

organization_id*string
series_id*string

Request Body

application/json
  1. body
copyPasses?boolean
copySessions?boolean
namePattern?string
occurrences*array<>|
Items1 <= items <= 52
sourceEventId*string

Response Body

OK

application/json
  1. response
[index: integer]?
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/event-series/string/repeat' \  -H 'Content-Type: application/json' \  -d '{  "occurrences": [    {      "endAt": "2019-08-24T14:15:22Z",      "startAt": "2019-08-24T14:15:22Z"    }  ],  "sourceEventId": "string"}'
Example Response
[  {    "$schema": "https://example.com/schemas/Event.json",    "archivedAt": "2019-08-24T14:15:22Z",    "cancelReason": "string",    "cancelledAt": "2019-08-24T14:15:22Z",    "capacity": 0,    "category": "string",    "completedAt": "2019-08-24T14:15:22Z",    "contacts": [      {        "email": "string",        "name": "string",        "phone": "string"      }    ],    "coverPath": "string",    "coverUrl": "string",    "createdAt": "2019-08-24T14:15:22Z",    "description": "string",    "endAt": "2019-08-24T14:15:22Z",    "eventGroupId": "string",    "eventSeriesId": "string",    "eventSeriesPosition": 0,    "faqs": [      {        "answer": "string",        "question": "string"      }    ],    "fulfillmentMode": "string",    "id": "string",    "latitude": 0.1,    "locationCityId": "string",    "locationLocalityId": "string",    "locationPrecision": "string",    "longitude": 0.1,    "moderationState": "string",    "name": "string",    "onlineUrl": "string",    "organizationId": "string",    "participationMode": "string",    "posterPath": "string",    "posterUrl": "string",    "postponedAt": "2019-08-24T14:15:22Z",    "publicationState": "string",    "publishedAt": "2019-08-24T14:15:22Z",    "registrationPolicy": "string",    "salesPaused": true,    "salesState": "string",    "scheduleState": "string",    "showExactVenue": true,    "slug": "string",    "sponsors": [      {        "logoPath": "string",        "logoUrl": "string",        "name": "string",        "tier": "string",        "website": "string",        "writeup": "string"      }    ],    "startAt": "2019-08-24T14:15:22Z",    "style": {      "accent": "string",      "backgroundPattern": "string",      "bodyFont": "string",      "bodyWeight": "string",      "emojis": [        "string"      ],      "headingFont": "string",      "headingWeight": "string",      "icons": [        "string"      ],      "motion": "string",      "overlay": "string",      "version": 0    },    "summary": "string",    "teamMaxSize": 0,    "teamMinSize": 0,    "teamMode": "string",    "timezone": "string",    "topics": [      {        "name": "string",        "slug": "string"      }    ],    "updatedAt": "2019-08-24T14:15:22Z",    "venueAddress": "string",    "venueCity": "string",    "venueCountry": "string",    "venueId": "string",    "venueName": "string",    "venueState": "string",    "visibility": "string"  }]

List Organization Events

GET
/api/v1/organizations/{organization_id}/events

Path Parameters

organization_id*string

Query Parameters

q?string

Case-insensitive name/slug search

ids?array<string>|

Resolve these exact Event ids. Repeat or comma-separate for several; use to look up labels for selected ids.

statuses?array<string>|

Filter by publication state (draft, published, archived). Repeat or comma-separate for several.

categories?array<string>|

Filter by Event category. Repeat or comma-separate for several.

modes?array<string>|

Filter by participation mode (in_person, online, hybrid). Repeat or comma-separate for several.

visibilities?array<string>|

Filter by Event visibility (public, unlisted, private). Repeat or comma-separate for several.

groupIds?array<string>|

Filter by EventGroup id. Repeat or comma-separate for several.

seriesIds?array<string>|

Filter by EventSeries id. Repeat or comma-separate for several.

scheduledFrom?string

Events starting at or after this time (RFC 3339).

Formatdate-time
scheduledTo?string

Events starting before this time (RFC 3339).

Formatdate-time
limit?integer

Page size (1-100)

Formatint64
Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from meta.nextCursor

includeTotal?boolean

Set false to omit meta.total

Defaulttrue

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
data*array<>|null
meta*
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/events'
Example Response
{  "$schema": "https://example.com/schemas/PageEvent.json",  "data": [    {      "$schema": "https://example.com/schemas/Event.json",      "archivedAt": "2019-08-24T14:15:22Z",      "cancelReason": "string",      "cancelledAt": "2019-08-24T14:15:22Z",      "capacity": 0,      "category": "string",      "completedAt": "2019-08-24T14:15:22Z",      "contacts": [        {          "email": "string",          "name": "string",          "phone": "string"        }      ],      "coverPath": "string",      "coverUrl": "string",      "createdAt": "2019-08-24T14:15:22Z",      "description": "string",      "endAt": "2019-08-24T14:15:22Z",      "eventGroupId": "string",      "eventSeriesId": "string",      "eventSeriesPosition": 0,      "faqs": [        {          "answer": "string",          "question": "string"        }      ],      "fulfillmentMode": "string",      "id": "string",      "latitude": 0.1,      "locationCityId": "string",      "locationLocalityId": "string",      "locationPrecision": "string",      "longitude": 0.1,      "moderationState": "string",      "name": "string",      "onlineUrl": "string",      "organizationId": "string",      "participationMode": "string",      "posterPath": "string",      "posterUrl": "string",      "postponedAt": "2019-08-24T14:15:22Z",      "publicationState": "string",      "publishedAt": "2019-08-24T14:15:22Z",      "registrationPolicy": "string",      "salesPaused": true,      "salesState": "string",      "scheduleState": "string",      "showExactVenue": true,      "slug": "string",      "sponsors": [        {          "logoPath": "string",          "logoUrl": "string",          "name": "string",          "tier": "string",          "website": "string",          "writeup": "string"        }      ],      "startAt": "2019-08-24T14:15:22Z",      "style": {        "accent": "string",        "backgroundPattern": "string",        "bodyFont": "string",        "bodyWeight": "string",        "emojis": [          "string"        ],        "headingFont": "string",        "headingWeight": "string",        "icons": [          "string"        ],        "motion": "string",        "overlay": "string",        "version": 0      },      "summary": "string",      "teamMaxSize": 0,      "teamMinSize": 0,      "teamMode": "string",      "timezone": "string",      "topics": [        {          "name": "string",          "slug": "string"        }      ],      "updatedAt": "2019-08-24T14:15:22Z",      "venueAddress": "string",      "venueCity": "string",      "venueCountry": "string",      "venueId": "string",      "venueName": "string",      "venueState": "string",      "visibility": "string"    }  ],  "meta": {    "hasMore": true,    "limit": 0,    "nextCursor": "string",    "total": 0  }}

Draft an Event

POST
/api/v1/organizations/{organization_id}/events

Path Parameters

organization_id*string

Request Body

application/json
  1. body
capacity?integer
Formatint64
category*string
contacts?array<>|null
description?string
endAt*string
Formatdate-time
eventGroupId?string
eventSeriesId?string
faqs?array<>|null
fulfillmentMode?string
locationCityId?string
locationLocalityId?string
name*string
onlineUrl?string
participationMode*string
registrationPolicy?string
showExactVenue?boolean
slug?string
sponsors?array<>|null
startAt*string
Formatdate-time
style?
summary?string
teamMaxSize?integer
Formatint64
teamMinSize?integer
Formatint64
teamMode?string
timezone*string
topics?array<string>|null
venueAddress?string
venueCity?string
venueCountry?string
venueId?string
venueName?string
venueState?string
visibility?string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
archivedAt?string
Formatdate-time
cancelReason?string
cancelledAt?string
Formatdate-time
capacity?integer
Formatint64
category*string
completedAt?string
Formatdate-time
contacts?array<>|null
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
endAt*string
Formatdate-time
eventGroupId?string
eventSeriesId?string
eventSeriesPosition*integer
Formatint64
faqs?array<>|null
fulfillmentMode*string
id*string
latitude?number
Formatdouble
locationCityId?string
locationLocalityId?string
locationPrecision?string
longitude?number
Formatdouble
moderationState*string
name*string
onlineUrl?string
organizationId*string
participationMode*string
posterPath?string
posterUrl?string
postponedAt?string
Formatdate-time
publicationState*string
publishedAt?string
Formatdate-time
registrationPolicy*string
salesPaused*boolean
salesState?string
scheduleState*string
showExactVenue*boolean
slug*string
sponsors?array<>|null
startAt*string
Formatdate-time
style*
summary?string
teamMaxSize*integer
Formatint64
teamMinSize*integer
Formatint64
teamMode*string
timezone*string
topics*array<>|null
updatedAt*string
Formatdate-time
venueAddress?string
venueCity?string
venueCountry?string
venueId?string
venueName?string
venueState?string
visibility*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/events' \  -H 'Content-Type: application/json' \  -d '{  "category": "string",  "endAt": "2019-08-24T14:15:22Z",  "name": "string",  "participationMode": "string",  "startAt": "2019-08-24T14:15:22Z",  "timezone": "string"}'
Example Response
{  "$schema": "https://example.com/schemas/Event.json",  "archivedAt": "2019-08-24T14:15:22Z",  "cancelReason": "string",  "cancelledAt": "2019-08-24T14:15:22Z",  "capacity": 0,  "category": "string",  "completedAt": "2019-08-24T14:15:22Z",  "contacts": [    {      "email": "string",      "name": "string",      "phone": "string"    }  ],  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "endAt": "2019-08-24T14:15:22Z",  "eventGroupId": "string",  "eventSeriesId": "string",  "eventSeriesPosition": 0,  "faqs": [    {      "answer": "string",      "question": "string"    }  ],  "fulfillmentMode": "string",  "id": "string",  "latitude": 0.1,  "locationCityId": "string",  "locationLocalityId": "string",  "locationPrecision": "string",  "longitude": 0.1,  "moderationState": "string",  "name": "string",  "onlineUrl": "string",  "organizationId": "string",  "participationMode": "string",  "posterPath": "string",  "posterUrl": "string",  "postponedAt": "2019-08-24T14:15:22Z",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "registrationPolicy": "string",  "salesPaused": true,  "salesState": "string",  "scheduleState": "string",  "showExactVenue": true,  "slug": "string",  "sponsors": [    {      "logoPath": "string",      "logoUrl": "string",      "name": "string",      "tier": "string",      "website": "string",      "writeup": "string"    }  ],  "startAt": "2019-08-24T14:15:22Z",  "style": {    "accent": "string",    "backgroundPattern": "string",    "bodyFont": "string",    "bodyWeight": "string",    "emojis": [      "string"    ],    "headingFont": "string",    "headingWeight": "string",    "icons": [      "string"    ],    "motion": "string",    "overlay": "string",    "version": 0  },  "summary": "string",  "teamMaxSize": 0,  "teamMinSize": 0,  "teamMode": "string",  "timezone": "string",  "topics": [    {      "name": "string",      "slug": "string"    }  ],  "updatedAt": "2019-08-24T14:15:22Z",  "venueAddress": "string",  "venueCity": "string",  "venueCountry": "string",  "venueId": "string",  "venueName": "string",  "venueState": "string",  "visibility": "string"}

Get an Event

GET
/api/v1/organizations/{organization_id}/events/{event_id}

Path Parameters

organization_id*string
event_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
archivedAt?string
Formatdate-time
cancelReason?string
cancelledAt?string
Formatdate-time
capacity?integer
Formatint64
category*string
completedAt?string
Formatdate-time
contacts?array<>|null
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
endAt*string
Formatdate-time
eventGroupId?string
eventSeriesId?string
eventSeriesPosition*integer
Formatint64
faqs?array<>|null
fulfillmentMode*string
id*string
latitude?number
Formatdouble
locationCityId?string
locationLocalityId?string
locationPrecision?string
longitude?number
Formatdouble
moderationState*string
name*string
onlineUrl?string
organizationId*string
participationMode*string
posterPath?string
posterUrl?string
postponedAt?string
Formatdate-time
publicationState*string
publishedAt?string
Formatdate-time
registrationPolicy*string
salesPaused*boolean
salesState?string
scheduleState*string
showExactVenue*boolean
slug*string
sponsors?array<>|null
startAt*string
Formatdate-time
style*
summary?string
teamMaxSize*integer
Formatint64
teamMinSize*integer
Formatint64
teamMode*string
timezone*string
topics*array<>|null
updatedAt*string
Formatdate-time
venueAddress?string
venueCity?string
venueCountry?string
venueId?string
venueName?string
venueState?string
visibility*string
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/events/string'
Example Response
{  "$schema": "https://example.com/schemas/Event.json",  "archivedAt": "2019-08-24T14:15:22Z",  "cancelReason": "string",  "cancelledAt": "2019-08-24T14:15:22Z",  "capacity": 0,  "category": "string",  "completedAt": "2019-08-24T14:15:22Z",  "contacts": [    {      "email": "string",      "name": "string",      "phone": "string"    }  ],  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "endAt": "2019-08-24T14:15:22Z",  "eventGroupId": "string",  "eventSeriesId": "string",  "eventSeriesPosition": 0,  "faqs": [    {      "answer": "string",      "question": "string"    }  ],  "fulfillmentMode": "string",  "id": "string",  "latitude": 0.1,  "locationCityId": "string",  "locationLocalityId": "string",  "locationPrecision": "string",  "longitude": 0.1,  "moderationState": "string",  "name": "string",  "onlineUrl": "string",  "organizationId": "string",  "participationMode": "string",  "posterPath": "string",  "posterUrl": "string",  "postponedAt": "2019-08-24T14:15:22Z",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "registrationPolicy": "string",  "salesPaused": true,  "salesState": "string",  "scheduleState": "string",  "showExactVenue": true,  "slug": "string",  "sponsors": [    {      "logoPath": "string",      "logoUrl": "string",      "name": "string",      "tier": "string",      "website": "string",      "writeup": "string"    }  ],  "startAt": "2019-08-24T14:15:22Z",  "style": {    "accent": "string",    "backgroundPattern": "string",    "bodyFont": "string",    "bodyWeight": "string",    "emojis": [      "string"    ],    "headingFont": "string",    "headingWeight": "string",    "icons": [      "string"    ],    "motion": "string",    "overlay": "string",    "version": 0  },  "summary": "string",  "teamMaxSize": 0,  "teamMinSize": 0,  "teamMode": "string",  "timezone": "string",  "topics": [    {      "name": "string",      "slug": "string"    }  ],  "updatedAt": "2019-08-24T14:15:22Z",  "venueAddress": "string",  "venueCity": "string",  "venueCountry": "string",  "venueId": "string",  "venueName": "string",  "venueState": "string",  "visibility": "string"}

Update an Event

PATCH
/api/v1/organizations/{organization_id}/events/{event_id}

Path Parameters

organization_id*string
event_id*string

Request Body

application/json
  1. body
capacity?integer
Formatint64
category?string
contacts?array<>
coverPath?string
description?string
endAt?string
Formatdate-time
eventGroupId?string
eventSeriesId?string
faqs?array<>
fulfillmentMode?string
locationCityId?string
locationLocalityId?string
name?string
onlineUrl?string
participationMode?string
posterPath?string
showExactVenue?boolean
slug?string
sponsors?array<>
startAt?string
Formatdate-time
style?
summary?string
teamMaxSize?integer
Formatint64
teamMinSize?integer
Formatint64
teamMode?string
timezone?string
topics?array<string>
venueAddress?string
venueCity?string
venueCountry?string
venueId?string
venueName?string
venueState?string
visibility?string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
archivedAt?string
Formatdate-time
cancelReason?string
cancelledAt?string
Formatdate-time
capacity?integer
Formatint64
category*string
completedAt?string
Formatdate-time
contacts?array<>|null
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
endAt*string
Formatdate-time
eventGroupId?string
eventSeriesId?string
eventSeriesPosition*integer
Formatint64
faqs?array<>|null
fulfillmentMode*string
id*string
latitude?number
Formatdouble
locationCityId?string
locationLocalityId?string
locationPrecision?string
longitude?number
Formatdouble
moderationState*string
name*string
onlineUrl?string
organizationId*string
participationMode*string
posterPath?string
posterUrl?string
postponedAt?string
Formatdate-time
publicationState*string
publishedAt?string
Formatdate-time
registrationPolicy*string
salesPaused*boolean
salesState?string
scheduleState*string
showExactVenue*boolean
slug*string
sponsors?array<>|null
startAt*string
Formatdate-time
style*
summary?string
teamMaxSize*integer
Formatint64
teamMinSize*integer
Formatint64
teamMode*string
timezone*string
topics*array<>|null
updatedAt*string
Formatdate-time
venueAddress?string
venueCity?string
venueCountry?string
venueId?string
venueName?string
venueState?string
visibility*string
Example Request
curl -X PATCH 'https://example.com/api/v1/organizations/string/events/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "$schema": "https://example.com/schemas/Event.json",  "archivedAt": "2019-08-24T14:15:22Z",  "cancelReason": "string",  "cancelledAt": "2019-08-24T14:15:22Z",  "capacity": 0,  "category": "string",  "completedAt": "2019-08-24T14:15:22Z",  "contacts": [    {      "email": "string",      "name": "string",      "phone": "string"    }  ],  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "endAt": "2019-08-24T14:15:22Z",  "eventGroupId": "string",  "eventSeriesId": "string",  "eventSeriesPosition": 0,  "faqs": [    {      "answer": "string",      "question": "string"    }  ],  "fulfillmentMode": "string",  "id": "string",  "latitude": 0.1,  "locationCityId": "string",  "locationLocalityId": "string",  "locationPrecision": "string",  "longitude": 0.1,  "moderationState": "string",  "name": "string",  "onlineUrl": "string",  "organizationId": "string",  "participationMode": "string",  "posterPath": "string",  "posterUrl": "string",  "postponedAt": "2019-08-24T14:15:22Z",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "registrationPolicy": "string",  "salesPaused": true,  "salesState": "string",  "scheduleState": "string",  "showExactVenue": true,  "slug": "string",  "sponsors": [    {      "logoPath": "string",      "logoUrl": "string",      "name": "string",      "tier": "string",      "website": "string",      "writeup": "string"    }  ],  "startAt": "2019-08-24T14:15:22Z",  "style": {    "accent": "string",    "backgroundPattern": "string",    "bodyFont": "string",    "bodyWeight": "string",    "emojis": [      "string"    ],    "headingFont": "string",    "headingWeight": "string",    "icons": [      "string"    ],    "motion": "string",    "overlay": "string",    "version": 0  },  "summary": "string",  "teamMaxSize": 0,  "teamMinSize": 0,  "teamMode": "string",  "timezone": "string",  "topics": [    {      "name": "string",      "slug": "string"    }  ],  "updatedAt": "2019-08-24T14:15:22Z",  "venueAddress": "string",  "venueCity": "string",  "venueCountry": "string",  "venueId": "string",  "venueName": "string",  "venueState": "string",  "visibility": "string"}

Delete a draft Event

DELETE
/api/v1/organizations/{organization_id}/events/{event_id}

Path Parameters

organization_id*string
event_id*string

Response Body

No Content

Example Request
curl -X DELETE 'https://example.com/api/v1/organizations/string/events/string'
Example Response
Empty
POST
/api/v1/organizations/{organization_id}/events/{event_id}/archive

Path Parameters

organization_id*string
event_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
archivedAt?string
Formatdate-time
cancelReason?string
cancelledAt?string
Formatdate-time
capacity?integer
Formatint64
category*string
completedAt?string
Formatdate-time
contacts?array<>|null
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
endAt*string
Formatdate-time
eventGroupId?string
eventSeriesId?string
eventSeriesPosition*integer
Formatint64
faqs?array<>|null
fulfillmentMode*string
id*string
latitude?number
Formatdouble
locationCityId?string
locationLocalityId?string
locationPrecision?string
longitude?number
Formatdouble
moderationState*string
name*string
onlineUrl?string
organizationId*string
participationMode*string
posterPath?string
posterUrl?string
postponedAt?string
Formatdate-time
publicationState*string
publishedAt?string
Formatdate-time
registrationPolicy*string
salesPaused*boolean
salesState?string
scheduleState*string
showExactVenue*boolean
slug*string
sponsors?array<>|null
startAt*string
Formatdate-time
style*
summary?string
teamMaxSize*integer
Formatint64
teamMinSize*integer
Formatint64
teamMode*string
timezone*string
topics*array<>|null
updatedAt*string
Formatdate-time
venueAddress?string
venueCity?string
venueCountry?string
venueId?string
venueName?string
venueState?string
visibility*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/events/string/archive'
Example Response
{  "$schema": "https://example.com/schemas/Event.json",  "archivedAt": "2019-08-24T14:15:22Z",  "cancelReason": "string",  "cancelledAt": "2019-08-24T14:15:22Z",  "capacity": 0,  "category": "string",  "completedAt": "2019-08-24T14:15:22Z",  "contacts": [    {      "email": "string",      "name": "string",      "phone": "string"    }  ],  "coverPath": "string",  "coverUrl": "string",  "createdAt": "2019-08-24T14:15:22Z",  "description": "string",  "endAt": "2019-08-24T14:15:22Z",  "eventGroupId": "string",  "eventSeriesId": "string",  "eventSeriesPosition": 0,  "faqs": [    {      "answer": "string",      "question": "string"    }  ],  "fulfillmentMode": "string",  "id": "string",  "latitude": 0.1,  "locationCityId": "string",  "locationLocalityId": "string",  "locationPrecision": "string",  "longitude": 0.1,  "moderationState": "string",  "name": "string",  "onlineUrl": "string",  "organizationId": "string",  "participationMode": "string",  "posterPath": "string",  "posterUrl": "string",  "postponedAt": "2019-08-24T14:15:22Z",  "publicationState": "string",  "publishedAt": "2019-08-24T14:15:22Z",  "registrationPolicy": "string",  "salesPaused": true,  "salesState": "string",  "scheduleState": "string",  "showExactVenue": true,  "slug": "string",  "sponsors": [    {      "logoPath": "string",      "logoUrl": "string",      "name": "string",      "tier": "string",      "website": "string",      "writeup": "string"    }  ],  "startAt": "2019-08-24T14:15:22Z",  "style": {    "accent": "string",    "backgroundPattern": "string",    "bodyFont": "string",    "bodyWeight": "string",    "emojis": [      "string"    ],    "headingFont": "string",    "headingWeight": "string",    "icons": [      "string"    ],    "motion": "string",    "overlay": "string",    "version": 0  },  "summary": "string",  "teamMaxSize": 0,  "teamMinSize": 0,  "teamMode": "string",  "timezone": "string",  "topics": [    {      "name": "string",      "slug": "string"    }  ],  "updatedAt": "2019-08-24T14:15:22Z",  "venueAddress": "string",  "venueCity": "string",  "venueCountry": "string",  "venueId": "string",  "venueName": "string",  "venueState": "string",  "visibility": "string"}
POST
/api/v1/organizations/{organization_id}/events/{event_id}/cancel

Path Parameters

organization_id*string
event_id*string

Request Body

application/json
  1. body
reason?string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
cancellation*
event*
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/events/string/cancel' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "$schema": "https://example.com/schemas/CancelEventOutputBody.json",  "cancellation": {    "activeRegistrations": 0,    "checkedIn": 0,    "confirmedOrders": 0,    "confirmedRegistrations": 0,    "currency": "string",    "failedRefunds": 0,    "paidOrders": 0,    "pendingPayments": 0,    "reconciliationPending": true,    "refundMinorUnits": 0,    "refundedOrders": 0  },  "event": {    "$schema": "https://example.com/schemas/Event.json",    "archivedAt": "2019-08-24T14:15:22Z",    "cancelReason": "string",    "cancelledAt": "2019-08-24T14:15:22Z",    "capacity": 0,    "category": "string",    "completedAt": "2019-08-24T14:15:22Z",    "contacts": [      {        "email": "string",        "name": "string",        "phone": "string"      }    ],    "coverPath": "string",    "coverUrl": "string",    "createdAt": "2019-08-24T14:15:22Z",    "description": "string",    "endAt": "2019-08-24T14:15:22Z",    "eventGroupId": "string",    "eventSeriesId": "string",    "eventSeriesPosition": 0,    "faqs": [      {        "answer": "string",        "question": "string"      }    ],    "fulfillmentMode": "string",    "id": "string",    "latitude": 0.1,    "locationCityId": "string",    "locationLocalityId": "string",    "locationPrecision": "string",    "longitude": 0.1,    "moderationState": "string",    "name": "string",    "onlineUrl": "string",    "organizationId": "string",    "participationMode": "string",    "posterPath": "string",    "posterUrl": "string",    "postponedAt": "2019-08-24T14:15:22Z",    "publicationState": "string",    "publishedAt": "2019-08-24T14:15:22Z",    "registrationPolicy": "string",    "salesPaused": true,    "salesState": "string",    "scheduleState": "string",    "showExactVenue": true,    "slug": "string",    "sponsors": [      {        "logoPath": "string",        "logoUrl": "string",        "name": "string",        "tier": "string",        "website": "string",        "writeup": "string"      }    ],    "startAt": "2019-08-24T14:15:22Z",    "style": {      "accent": "string",      "backgroundPattern": "string",      "bodyFont": "string",      "bodyWeight": "string",      "emojis": [        "string"      ],      "headingFont": "string",      "headingWeight": "string",      "icons": [        "string"      ],      "motion": "string",      "overlay": "string",      "version": 0    },    "summary": "string",    "teamMaxSize": 0,    "teamMinSize": 0,    "teamMode": "string",    "timezone": "string",    "topics": [      {        "name": "string",        "slug": "string"      }    ],    "updatedAt": "2019-08-24T14:15:22Z",    "venueAddress": "string",    "venueCity": "string",    "venueCountry": "string",    "venueId": "string",    "venueName": "string",    "venueState": "string",    "visibility": "string"  }}
GET
/api/v1/organizations/{organization_id}/events/{event_id}/cancellation-preview

Path Parameters

organization_id*string
event_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
activeRegistrations*integer
Formatint64
checkedIn*integer
Formatint64
confirmedOrders*integer
Formatint64
confirmedRegistrations*integer
Formatint64
currency?string
paidOrders*integer
Formatint64
pendingPayments*integer
Formatint64
refundMinorUnits*integer
Formatint64
Example Request
curl -X GET 'https://example.com/api/v1/organizations/string/events/string/cancellation-preview'
Example Response
{  "$schema": "https://example.com/schemas/EventCancellationPreview.json",  "activeRegistrations": 0,  "checkedIn": 0,  "confirmedOrders": 0,  "confirmedRegistrations": 0,  "currency": "string",  "paidOrders": 0,  "pendingPayments": 0,  "refundMinorUnits": 0}

Complete an ended Event

POST
/api/v1/organizations/{organization_id}/events/{event_id}/complete

Path Parameters

organization_id*string
event_id*string

Response Body

OK

application/json
  1. response
$schema?string

A URL to the JSON Schema for this object.

Formaturi
archivedAt?string
Formatdate-time
cancelReason?string
cancelledAt?string
Formatdate-time
capacity?integer
Formatint64
category*string
completedAt?string
Formatdate-time
contacts?array<>|null
coverPath?string
coverUrl?string
createdAt*string
Formatdate-time
description?string
endAt*string
Formatdate-time
eventGroupId?string
eventSeriesId?string
eventSeriesPosition*integer
Formatint64
faqs?array<>|null
fulfillmentMode*string
id*string
latitude?number
Formatdouble
locationCityId?string
locationLocalityId?string
locationPrecision?string
longitude?number
Formatdouble
moderationState*string
name*string
onlineUrl?string
organizationId*string
participationMode*string
posterPath?string
posterUrl?string
postponedAt?string
Formatdate-time
publicationState*string
publishedAt?string
Formatdate-time
registrationPolicy*string
salesPaused*boolean
salesState?string
scheduleState*string
showExactVenue*boolean
slug*string
sponsors?array<>|null
startAt*string
Formatdate-time
style*
summary?string
teamMaxSize*integer
Formatint64
teamMinSize*integer
Formatint64
teamMode*string
timezone*string
topics*array<>|null
updatedAt*string
Formatdate-time
venueAddress?string
venueCity?string
venueCountry?string
venueId?string
venueName?string
venueState?string
visibility*string
Example Request
curl -X POST 'https://example.com/api/v1/organizations/string/events/string/complete'
Example Response
[...]
